Package org.apache.maven.scm.provider.synergy.consumer

## Class SynergyGetWorkingFilesConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.synergy.consumer.SynergyGetWorkingFilesConsumer

All Implemented Interfaces:
  `org.codehaus.plexus.util.cli.StreamConsumer`

    public class SynergyGetWorkingFilesConsumer
    extends java.lang.Object
    implements org.codehaus.plexus.util.cli.StreamConsumer

Author:
  Julien Henry, Olivier Lamy

### Field Summary

Fields
`static java.lang.String` `OUTPUT_FORMAT`

### Constructor Summary

Constructors
`SynergyGetWorkingFilesConsumer​(ScmLogger logger)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `consumeLine​(java.lang.String line)`
`java.util.List<java.lang.String>` `getFiles()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### OUTPUT_FORMAT

    public static final java.lang.String OUTPUT_FORMAT

See Also:
  Constant Field Values

### Constructor Detail

#### SynergyGetWorkingFilesConsumer

    public SynergyGetWorkingFilesConsumer​(ScmLogger logger)

### Method Detail

#### consumeLine

    public void consumeLine​(java.lang.String line)

Specified by:
  `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`

#### getFiles

    public java.util.List<java.lang.String> getFiles()